"""
 English language support.
"""

# Program data.
name = 'Kavlon Coloring Book'
version = '0.13'
release_date = 'April 25, 2004'
author = 'Michael McGlothlin'
author_email = 'mogmios@mlug.missouri.edu'
url = 'http://kavlon.org/index.php/cb'
description = 'A simple coloring book program.'

# Command-line information.
about = """%s %s <%s>
%s <%s>
%s

%s
""" % ( name, version, url, author, author_email, release_date, description )
help = """%s
command-line options:
	--sound=on/off  -S/-s   Turn sound on (default) or off.
	--theme=<theme> -t      Select a theme.
	--book=<book>   -b      Select a book.
	--fps=<fps>     -f      Set FPS.
	--lang=<lang>   -l      Set language.
	--help          -h      Show help.
	--about		-a	Show product information.
""" % ( about )

# Status messages.
upgrade_python = 'Upgrade Python.'
invalid_theme = 'Invalid theme.'
invalid_book = 'Invalid book.'

# Program messages.
snapshot = 'Snapshot saved as %s.'
display_caption = 'Coloring Book'
