"""
 Local constants
"""

import functions, pygame, os
from pygame.locals import *
from theme import *
from book import *

pygame.init ()

DISPLAY_SIZE = ( 640, 480 )
CANVAS_SIZE = ( 600, 400 )
DEFAULT_FONT = pygame.font.Font ( FONT_FACE, FONT_SIZE )

SNAPSHOT_DIR = functions.personal_directory ( 'snapshots' )

MASK_COLORS_IMAGE = os.path.join ( 'images', 'mask_colors.png' )

# Need this crap or coloring doesn't work at shitty color depths.
pygame.display.set_mode ( DISPLAY_SIZE )
img = pygame.image.load ( MASK_COLORS_IMAGE ).convert ()
LAYER_MASK = img.get_at ( ( 0, 0 ) )
CANVAS_MASK = img.get_at ( ( 1, 0 ) )
del img

DEFAULT_COLOR = ( 171, 205, 239, 255 )

INIT = USEREVENT + 1
