"""
 modified slightly.. original by Pete Shinners
"""

import pygame

def textHollow ( font, message, fontColor ):
	notColor = [ c ^ 0xFF for c in fontColor[:3] ]
	base = font.render ( message, False, fontColor, notColor )
	size = base.get_width () + 2, base.get_height () + 2
	img = pygame.Surface ( size, 16 )
	img.fill ( notColor )
	base.set_colorkey ( False )
	img.blit ( base, ( 0, 0 ) )
	img.blit ( base, ( 2, 0 ) )
	img.blit ( base, ( 0, 2 ) )
	img.blit ( base, ( 2, 2 ) )
	base.set_colorkey ( False )
	base.set_palette_at ( 1, notColor )
	img.blit ( base, ( 1, 1 ) )
	img.set_colorkey ( notColor )
	return img

def textOutline ( font, message, fontColor, outlineColor ):
	base = font.render ( message, False, fontColor )
	outline = textHollow ( font, message, outlineColor )
	img = pygame.Surface ( outline.get_size (), 16 )
	img.blit ( base, ( 1, 1 ) )
	img.blit ( outline, ( 0, 0 ) )
	img.set_colorkey ( False )
	return img
